Subject: Re: [sipcore] #42: Backwards compatibility

From: Mary Barnes <[email-masked]>
Date: Tue, 12 Oct 2010 17:46:17 -0500

There is text in the last paragraph of section 7 addressing this point
- i.e., missing entries.  And, both the UAC (4.1)  and UAS(4.2.1)
sections discuss the potential for missing entries.

If you could please suggest additional text or detailed changes if you
do not think that is clear.

Thanks,
Mary.

On Tue, Aug 31, 2010 at 1:35 PM, sipcore issue tracker
<[email-masked]> wrote:
> #42: Backwards compatibility
> ---------------------------------+------------------------------------------
>  Reporter:  worley@…             |       Owner:
>     Type:  defect               |      Status:  new
>  Priority:  critical             |   Milestone:  milestone1
> Component:  rfc4244bis           |     Version:
>  Severity:  In WG Last Call      |    Keywords:
> ---------------------------------+------------------------------------------
>  A particularly common backwards compatibility problem will be the presence
>  of proxies that do not implement H-I, and therefore cause H-I to not log
>  some changes of request-URI.  This is to some degree mitigated by having
>  downstream H-I-implementing elements insert hi-entry's on their behalf.
>
>  But there should be a discussion of this situation and its effect on the
>  H-I entry-tree.  This (1) allows us to verify that the problem has been
>  thought through and won't cause any insurmountable problems and (2) warns
>  application developers of the abnormalities in the H-I entry-tree that
>  might be caused by this situation.
>
> --
> Ticket URL: <http://trac.tools.ietf.org/wg/sipcore/trac/ticket/42>
> sipcore <http://tools.ietf.org/sipcore/>
>
> _______________________________________________
> sipcore mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/sipcore
>